body{
padding: 0px;
margin: 0px;
background-color: black;
}
@font-face{
    src: url(AbrilFatface-Regular.ttf);
    font-family: "ali";
}
*{
    color: white;
    font-family: ali;
    scroll-behavior: smooth;
}
.home > button > a{
    text-decoration: none;
}
/* navbar */
.navbar{
    background: rgba(255, 255, 255, 0.26);
    backdrop-filter: blur(10px);
    height: 8%;
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: flex-end;
    position: absolute;
    align-items: center;
    z-index: 2;
gap: 10px;
    list-style: none;
}
.navbar > li{
    margin-right: 10px;
    height: 100%;
    width: 6%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.navbar > li:hover{
    background-color: rgb(59, 58, 57);
}
.navbar > li > a{
    text-decoration: none;
    color: white;
    font-size: 18px;
    font-weight: bold;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
/* home */
.home{
    height: 100%;
    width: 100%;
}
.home > video{
    width: 100%;
    height: auto;
}
.home > p{
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    top: 40%;
    font-size: 30px;
    color: white;
}
.home > button{
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    top: 55%;
    height: 8%;
    width: 15%;
    text-shadow: 10px 10px 30px white;
    font-size: large;
    border-radius: 10px;
    border: 2px solid white;
    background-color: transparent;
}
.home > button::after{
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    right: 0px;
    width: 0%;
    height: 100%;
    border-radius: 10px;
    transition: ease-in-out 0.8s;
    z-index: -1;
    background: linear-gradient(to left,rgb(212, 196, 196),rgb(13, 13, 15));
}
.home > button:hover::after{
    width: 100%;
}
/* learn section */
.learn{
    height: 110%;
    width: 100%;
    background-color: rgb(0, 0, 0);
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 70px;
    position: relative;
    align-content: center;
}
.learn > a{
    background-color: rgba(235, 235, 235, 0.329);
width: 20%;
    height: 20%;
display: flex;
backdrop-filter: blur(10px);
justify-content: center;
align-items: center;
    border-radius: 15px;
    text-align: center;
    text-decoration: none;
    border: 1px solid white;
    box-shadow: 0px 0px 10px 0px white;
}
.learn > a:hover{
    backdrop-filter: blur(20px);
    background-color: rgba(255, 255, 255, 0.61);
        box-shadow: 0px 0px 20px 0px white;
}
.learn > h1{
    position: absolute;
    background-color: rgba(240, 248, 255, 0.301);
    backdrop-filter: blur(10px);
    width: 100%;
    text-align: center;
    top: -20px;
    height: 8%;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* product section */
.product{
    height: 100%;
    width: 100%;
    background-color: rgb(19, 21, 22);
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
position: relative;
    align-content: center;
    align-items: center;
    justify-content: center;
}
.one {
    position: relative;
}
.product > .one{
    background-color: red;
    height: 40%;
    border-radius: 15px;
    width: 30%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
.product > .one > h2{
     background-color: maroon;
    color: white;
    border: none;
width: 100%;
height: 15%;
display: flex;
justify-content: center;
align-items: center;
border-radius: 1px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;    
   top: -20px;
    position: absolute;
}
.product > .one > a > button{
background-color:maroon;
border: none;
bottom: 10px;
position: absolute;
left: 50%;
transform: translateX(-50%);
height: 15%;
width: 40%;
border-radius: 10px;
}
.product > .one > a{
   width: 50%;

}
.product > .one > a > button:hover{
   background-color: red;
   transition: 1s;
}
.product > h1{
    position: absolute;
    background-color: rgba(240, 248, 255, 0.301);
    backdrop-filter: blur(10px);
    width: 100%;
    text-align: center;
    top: -20px;
    height: 8%;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* Service section */
.service{
    height: 100%;
    width: 100%;
    position: relative;
    background-color: rgb(48, 48, 51);
}
.service > img{
    position: absolute;
    height: 100%;
    width: 40%;
}
.service > h1{
    position: absolute;
    background-color: rgba(240, 248, 255, 0.301);
    backdrop-filter: blur(10px);
    width: 100%;
    text-align: center;
    top: -20px;
    height: 8%;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.service > ol{
    position: absolute;
    display: flex;
    gap: 40px;
    width: 50%;
    right:50px;
    top:100px;
    list-style: none;
    flex-wrap: wrap;
}
.service > ol > li{
width: 100%;
}
.service > ol > li > span{
    background: linear-gradient(to left,rgb(0, 0, 0),rgb(15, 15, 170));
    width: 20px;
    text-align: center;
    border-radius: 50%;
    font-size: 15px;
    height: 20px;
    display: inline-block;
}
/* about section */
.about{
    height: 100%;
    width: 100%;
    background-color: rgb(31, 25, 25);
    display: flex;
    position: relative;
    justify-content: flex-end;
}
.about > img{
    height: 100%;
    width: 45%;
    position: absolute;
    z-index: 2;
}
.about > h1{
    position: absolute;
    background-color: rgba(240, 248, 255, 0.301);
    backdrop-filter: blur(10px);
    width: 100%;
    text-align: center;
    top: -20px;
    height: 8%;
    font-size: 30px;
    margin-left: 40px;
    right: 580px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
}
.about > h2{
    top: 100px;
    position: absolute;
    left: 10px;
    top: 23%;
}
.about > p{
    right: 50%;
    top: 30%;
    position: absolute;
    left: 5%;
    font-size: 17px;
}
/* contact section */
.contact{
    height: 100%;
    width: 100%;
    position: relative;
    display: flex;
gap: 50px;
justify-content: center;
align-items: center;
    background-color: rgb(22, 20, 20);
}
.con{
 height: 40%;
 border-radius: 20px;
 width: 20%;
 justify-content: center;
 align-items: center;
 display: flex;
 border: 5px solid maroon;
    background-color: rgb(255, 255, 255);
}
.con > h1{
    color: black;
}
.con > img{
    height: 60px;
    width: 60px;
}
.con:hover{
    transform: scale(1.1);
}
.contact > h1{
      position: absolute;
    background-color: rgba(240, 248, 255, 0.301);
    backdrop-filter: blur(10px);
    width: 100%;
    text-align: center;
    top: -20px;
    height: 8%;
    font-size: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact>p{
    position: absolute;
    bottom: 5%;
    right: 5%;
    left: 5%;
}
.home > img{
    display: none;
}
.navbar > img{
    display: none;
}
.home > #ok{
    display: none;
}
*{
    scrollbar-width: none;
}
/* ipadsize responsive */

@media  screen and (max-width: 800px) {
@keyframes navbar{
    from {
         right: -300px;
    }
    to{
        right: 0px;
    }
}
    .home > video{
        display: none;
    }
    .home > img{
        display: block;
        width: 100%;
    }
    .navbar{
        display: none;
        flex-direction: column;
        height: 100%;
        width: 50%;
        position: fixed;
        right: 0px;
        justify-content: center;
animation: navbar 2s ease-in-out;
    }
    .navbar > li{
width: 100%;
height: 8%;
    }
    .navbar > img{
        height: 40px;
        width: 40px;
         display: block;
        position: absolute;
        top: 0px;
        right: 0px;
    }
    .navbar > img:hover{
        background-color: red;
        border-bottom-left-radius: 10px;
    }
    .navbar > img:active{
        background-color: maroon;
    }
    .home > #ok{
        height: 50px;
        width: 50px;
        position: absolute;
        top: 0px;
        right: 0px;
        display: block;
    }
    .home > #ok:hover{
        background-color: springgreen;
    }
    .home > #ok:active{
        background-color: green;
    }
    .home > p{
        font-size: 24px;
        text-align: center;
        right: 10%;
        transform: none;
        left: 10%;
    }
    .home > button{
        height: 6%;
        width: 30%;
    }
    .learn{
        height: 120%;
        gap: 20px;
    }
    .learn > a{
        height: 15%;
        width: 30%;
        font-size: 15px;
    }
    .about > h1{
        right: 35%;
    }
    .about > h2{
        top: 10%;
    }
    .about > p{
        top: 20%;
        font-size: 13px;
    }
    .contact{
        flex-wrap: wrap;
        gap: 10px;
        align-content: center;
   
    }
    .contact > .con{
        width: 40%;
        height: 25%;
    }
    .contact > p{
        font-size: 11px;
        bottom: 1%;
    }
    .service > ol{
        gap: 20px;
    }
    .service > ol > li{
        font-size: 15px;
    }
}
@media screen and (max-width: 450PX)
{
    .navbar{
        width: 100%;
    }
    .learn{
        height: 150%;
        justify-content: center;
        align-items: center;
    }
    .learn > a{
width: 45%;
    }
    .product{
        height: 180%;
    }
        .product > .one{
    height: 15%;
            width: 90%;
    }
    .service > img{
        width: 100%;
        height: 40%;
        top: 8%;
    }
    .service > ol{
        display: flex;
        flex-direction: ROW;
        flex-wrap: wrap;
        width: 100%;
        position: relative;
        right: 0px;
        left: 0px;
        transform: none;
        top: 350px;
        height: 55%;
        gap: 10px;
align-items: center;
justify-content: center;
gap: 10px;
align-content: center; 
padding: 0px;
    }
    .service > ol > li{
        height: 28%;
        font-size: 12px;
        width: 46%;
      
    }
    .about{
        height: 120%;
    }
    .about > h1{
        right: 0px;
    }
    .about > img{
        width: 100%;
        height: 40%;
        top: 8%;
    }
    .about > h2{
        top: 50%;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        text-align: center;
    }
    .about > p{
        top: 60%;
        text-align: center;
        word-break: break-all;
        right: 10px;
        left: 10px;
    }
    .contact{
  height: 150%;
    }
    .contact > p{
        top: 10%;
        text-align: center;
    }
    .contact > .con{
        width: 100%;
        font-size: 10px;
        height: 6%;
    }
}